# Автошкола - Система управления

Система управления автошколой с функциями для инструкторов, диспетчеров и студентов.

## Функциональность

- Управление расписанием занятий
- Система записи на занятия
- Личный кабинет инструктора
- Личный кабинет студента
- Аналитика для администраторов
- PWA поддержка

## Установка

1. Создайте виртуальное окружение:
```bash
python -m venv venv
source venv/bin/activate  # для Linux/Mac
venv\Scripts\activate     # для Windows
```

2. Установите зависимости:
```bash
pip install -r requirements.txt
```

3. Примените миграции:
```bash
python manage.py migrate
```

4. Создайте суперпользователя:
```bash
python manage.py createsuperuser
```

5. Запустите сервер:
```bash
python manage.py runserver
```

## Структура проекта

- `driving_school/` - основной проект
- `accounts/` - приложение для управления пользователями
- `schedule/` - приложение для управления расписанием
- `instructor/` - приложение для инструкторов
- `student/` - приложение для студентов
- `analytics/` - приложение для аналитики 